Subject: bug#38473: 27.0.50; package-install of package with unversioned Package-Requires fails due to unsatisfiable requirements

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Jan 2020 18:09:37 +0100

tags 38473 + notabug
close 38473
thanks

Alex Bennée <[email-masked]> writes:

> I originally triggered this bug while trying to upgrade packages from
> MELPA however I can replicate by browsing to the file lusty-explorer
> from the repo and executing M-x package-install-file. According to the
> docs the line:
>
>   ;; Package-Requires: (cl-lib dired)
>
> is valid and the version should be defined as 0 - however this somehow
> gets converted into trying to install dired-0. The following is the
> relevant dumps from my logs:

The dired dependency is wrong, since there is no such built-in
package.  "dired" is instead part of the "emacs" package.

This seems to have fixed in lusty-explorer already.[1]

I was considering if we should take some extra measures to allow these
kinds of dependencies, but honestly it seems better to just ask
package developers to get it right.

I'm therefore closing this as notabug.

Best regards,
Stefan Kangas

Footnotes:
[1]  https://github.com/sjbach/lusty-emacs/commit/1fbd5cfbdbb8ed744b5a141648febf620bbf5a84